.. AUTO-GENERATED FILE. DO NOT EDIT. sales-invoices-by-date-range-get ================================ Source ------ - Repository: ``jef-systems/jef-sales-invoices-backend`` - Module: ``sales-invoices`` - Documentation Scope: ``get`` - Lambda: ``jef-sales-invoices-get-8`` Endpoint -------- - API Name: ``jef-sales-invoices`` - Action Name: ``get`` - Method: ``GET`` - Scope Label: ``GET`` - Resource Path: ``/sales-invoices-by-date-range-get`` - Complete Endpoint: ``https://f85p4su499.execute-api.ap-southeast-1.amazonaws.com/prod/sales-invoices-by-date-range-get`` - Lambda ARN: ``arn:aws:lambda:ap-southeast-1:246715082475:function:jef-sales-invoices-get-8`` - curl payload mode: ``query_string`` API Gateway Description ----------------------- .. code-block:: text Function: jef-sales-invoices-get-8 API Name: jef-sales-invoices Action: get Method: GET Resource Path: /sales-invoices-by-date-range-get Payload: - entity_number: 1001 - from: 2026-01-01T00:00:00Z - to: 2026-12-31T23:59:59Z Response: - ok: true - items: [] Request Payload --------------- .. code-block:: json { "entity_number": "1001", "from": "2026-01-01T00:00:00Z", "to": "2026-12-31T23:59:59Z" } Response -------- .. code-block:: json { "ok": "true", "items": "[]" } CMD curl -------- .. code-block:: text curl "https://f85p4su499.execute-api.ap-southeast-1.amazonaws.com/prod/sales-invoices-by-date-range-get?entity_number=1001&from=2026-01-01T00%3A00%3A00Z&to=2026-12-31T23%3A59%3A59Z" PowerShell curl --------------- .. code-block:: text curl.exe "https://f85p4su499.execute-api.ap-southeast-1.amazonaws.com/prod/sales-invoices-by-date-range-get?entity_number=1001&from=2026-01-01T00%3A00%3A00Z&to=2026-12-31T23%3A59%3A59Z"